## org.eclipse.xsd
Interface XSDSchema

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDScope

All Known Implementing Classes:
  XSDSchemaImpl

    public interface XSDSchema

extends XSDScope

A representation of the model object 'Schema'.

The following features are supported:

- `Document`
- `Schema Location`
- `Target Namespace`
- `Attribute Form Default`
- `Element Form Default`
- `Final Default`
- `Block Default`
- `Version`
- `Contents`
- `Element Declarations`
- `Attribute Declarations`
- `Attribute Group Definitions`
- `Type Definitions`
- `Model Group Definitions`
- `Identity Constraint Definitions`
- `Notation Declarations`
- `Annotations`
- `All Diagnostics`
- `Referencing Directives`
- `Root Version`
- `Original Version`
- `Incorporated Versions`
- `Schema For Schema`

See Also:
  `XSDPackage.getXSDSchema()`

Method Summary
`EList<XSDDiagnostic>` `getAllDiagnostics()` Returns the value of the 'All Diagnostics' reference list.
`EList<XSDAnnotation>` `getAnnotations()` Returns the value of the 'Annotations' reference list.
`EList<XSDAttributeDeclaration>` `getAttributeDeclarations()` Returns the value of the 'Attribute Declarations' reference list.
`XSDForm` `getAttributeFormDefault()` Returns the value of the 'Attribute Form Default' attribute.
`EList<XSDAttributeGroupDefinition>` `getAttributeGroupDefinitions()` Returns the value of the 'Attribute Group Definitions' reference list.
`EList<XSDDisallowedSubstitutions>` `getBlockDefault()` Returns the value of the 'Block Default' attribute list.
`EList<XSDSchemaContent>` `getContents()` Returns the value of the 'Contents' containment reference list.
`XSDConcreteComponent` `getCorrespondingComponent(org.w3c.dom.Node node)` Returns the best concrete component that corresponds to the given node.
`org.w3c.dom.Document` `getDocument()` Returns the value of the 'Document' attribute
`EList<XSDElementDeclaration>` `getElementDeclarations()` Returns the value of the 'Element Declarations' reference list.
`XSDForm` `getElementFormDefault()` Returns the value of the 'Element Form Default' attribute.
`EList<XSDProhibitedSubstitutions>` `getFinalDefault()` Returns the value of the 'Final Default' attribute list.
`EList<XSDIdentityConstraintDefinition>` `getIdentityConstraintDefinitions()` Returns the value of the 'Identity Constraint Definitions' reference list.
`EList<XSDSchema>` `getIncorporatedVersions()` Returns the value of the 'Incorporated Versions' containment reference list.
`EList<XSDModelGroupDefinition>` `getModelGroupDefinitions()` Returns the value of the 'Model Group Definitions' reference list.
`EList<XSDNotationDeclaration>` `getNotationDeclarations()` Returns the value of the 'Notation Declarations' reference list.
`XSDSchema` `getOriginalVersion()` Returns the value of the 'Original Version' reference
`java.util.Map<java.lang.String,java.lang.String>` `getQNamePrefixToNamespaceMap()` Returns the map defined by the xmlns attributes of the underlying XML representation.
`EList<XSDSchemaDirective>` `getReferencingDirectives()` Returns the value of the 'Referencing Directives' reference list.
`XSDSchema` `getRootVersion()` Returns the value of the 'Root Version' reference
`XSDSchema` `getSchemaForSchema()` Returns the value of the 'Schema For Schema' reference
`java.lang.String` `getSchemaForSchemaNamespace()` Returns the schema for schema namespace of this schema.
`java.lang.String` `getSchemaForSchemaQNamePrefix()` Returns the QName prefix used to reference the `schema for schema namespace`.
`java.lang.String` `getSchemaLocation()` Returns the value of the 'Schema Location' attribute
`java.util.Map<java.lang.String,XSDSimpleTypeDefinition>` `getSimpleTypeIdMap()` Returns a map from String ID to `XSDSimpleTypeDefinition` based on the IDs in the DOM representation.
`java.lang.String` `getStringBlockDefault()` Returns the String value of the '`Block Default`' attribute list
`java.lang.String` `getStringFinalDefault()` Returns the String value of the '`Final Default`' attribute list
`java.lang.String` `getTargetNamespace()` Returns the value of the 'Target Namespace' attribute
`EList<XSDTypeDefinition>` `getTypeDefinitions()` Returns the value of the 'Type Definitions' reference list.
`java.lang.String` `getVersion()` Returns the value of the 'Version' attribute
`boolean` `isIncrementalUpdate()` Returns whether the schema will incrementally resolve QNames and perform analysis after each edit change.
`boolean` `isSetAttributeFormDefault()` Returns whether the value of the '`Attribute Form Default`' attribute is set
`boolean` `isSetBlockDefault()` Returns whether the value of the '`Block Default`' attribute list is set
`boolean` `isSetElementFormDefault()` Returns whether the value of the '`Element Form Default`' attribute is set
`boolean` `isSetFinalDefault()` Returns whether the value of the '`Final Default`' attribute list is set
`void` `reset()` Resets the effects of imports, includes, and redefines so that they will be reprocessed.
`void` `setAttributeFormDefault(XSDForm value)` Sets the value of the '`Attribute Form Default`' attribute
`void` `setDocument(org.w3c.dom.Document value)` Sets the value of the '`Document`' attribute
`void` `setElementFormDefault(XSDForm value)` Sets the value of the '`Element Form Default`' attribute
`void` `setIncrementalUpdate(boolean isIncrementalUpdate)` Sets whether the schema will incrementally resolve QNames and perform analysis after each edit change.
`void` `setSchemaForSchemaQNamePrefix(java.lang.String qNamePrefix)` Sets the QName prefix used to reference the `schema for schema namespace`.
`void` `setSchemaLocation(java.lang.String value)` Sets the value of the '`Schema Location`' attribute
`void` `setStringBlockDefault(java.lang.String blockDefault)` Returns the String value of the '`Block Default`' attribute list
`void` `setStringFinalDefault(java.lang.String finalDefault)` Set the String value of the '`Final Default`' attribute list
`void` `setTargetNamespace(java.lang.String value)` Sets the value of the '`Target Namespace`' attribute
`void` `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute
`void` `unsetAttributeFormDefault()` Unsets the value of the '`Attribute Form Default`' attribute
`void` `unsetBlockDefault()` Unsets the value of the '`Block Default`' attribute list
`void` `unsetElementFormDefault()` Unsets the value of the '`Element Form Default`' attribute
`void` `unsetFinalDefault()` Unsets the value of the '`Final Default`' attribute list
`void` `update()` Resolves QNames and performs analysis.
`void` `update(boolean force)` Resolves QNames and performs analysis.
`org.w3c.dom.Document` `updateDocument()` Ensures that the `document` will be set to an instance that can be used to create a DOM serialization.

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDocument

    org.w3c.dom.Document getDocument()

  Returns the value of the 'Document' attribute.

  This is the optional DOM document of this schema, i.e., the owner of the `element`. A document can be created by calling `updateDocument()`; a document and an element can be create by calling `XSDConcreteComponent.updateElement()`.

  Returns:
    the value of the 'Document' attribute.
  See Also:
    `setDocument(Document)`, `XSDPackage.getXSDSchema_Document()`

### setDocument

    void setDocument(org.w3c.dom.Document value)

  Sets the value of the '`Document`' attribute.

  Parameters:
    `value` - the new value of the 'Document' attribute.
  See Also:
    `getDocument()`

### getSchemaLocation

    java.lang.String getSchemaLocation()

  Returns the value of the 'Schema Location' attribute.

  This concrete attribute represents the URI of the resource that contains this this schema. It is used to complete any relative `schemaLocation` URI in an import, include, or redefine. No schema `resolution` will be attempted until this has been set.

  Returns:
    the value of the 'Schema Location' attribute.
  See Also:
    `setSchemaLocation(String)`, `XSDPackage.getXSDSchema_SchemaLocation()`

### setSchemaLocation

    void setSchemaLocation(java.lang.String value)

  Sets the value of the '`Schema Location`' attribute.

  Parameters:
    `value` - the new value of the 'Schema Location' attribute.
  See Also:
    `getSchemaLocation()`

### getTargetNamespace

    java.lang.String getTargetNamespace()

  Returns the value of the 'Target Namespace' attribute.

  This concrete attribute represents the value of the targetNamespace attribute.

  Returns:
    the value of the 'Target Namespace' attribute.
  See Also:
    `setTargetNamespace(String)`, `XSDPackage.getXSDSchema_TargetNamespace()`

### setTargetNamespace

    void setTargetNamespace(java.lang.String value)

  Sets the value of the '`Target Namespace`' attribute.

  Parameters:
    `value` - the new value of the 'Target Namespace' attribute.
  See Also:
    `getTargetNamespace()`

### getAttributeFormDefault

    XSDForm getAttributeFormDefault()

  Returns the value of the 'Attribute Form Default' attribute. The default value is `"unqualified"`. The literals are from the enumeration `XSDForm`.

  This concrete attribute represents the value of the attributeFormDefault attribute.

  Returns:
    the value of the 'Attribute Form Default' attribute.
  See Also:
    `XSDForm`, `isSetAttributeFormDefault()`, `unsetAttributeFormDefault()`, `setAttributeFormDefault(XSDForm)`, `XSDPackage.getXSDSchema_AttributeFormDefault()`

### setAttributeFormDefault

    void setAttributeFormDefault(XSDForm value)

  Sets the value of the '`Attribute Form Default`' attribute.

  Parameters:
    `value` - the new value of the 'Attribute Form Default' attribute.
  See Also:
    `XSDForm`, `isSetAttributeFormDefault()`, `unsetAttributeFormDefault()`, `getAttributeFormDefault()`

### unsetAttributeFormDefault

    void unsetAttributeFormDefault()

  Unsets the value of the '`Attribute Form Default`' attribute.

  See Also:
    `isSetAttributeFormDefault()`, `getAttributeFormDefault()`, `setAttributeFormDefault(XSDForm)`

### isSetAttributeFormDefault

    boolean isSetAttributeFormDefault()

  Returns whether the value of the '`Attribute Form Default`' attribute is set.

  Returns:
    whether the value of the 'Attribute Form Default' attribute is set.
  See Also:
    `unsetAttributeFormDefault()`, `getAttributeFormDefault()`, `setAttributeFormDefault(XSDForm)`

### getElementFormDefault

    XSDForm getElementFormDefault()

  Returns the value of the 'Element Form Default' attribute. The default value is `"unqualified"`. The literals are from the enumeration `XSDForm`.

  This concrete attribute represents the value of the elementFormDefault attribute.

  Returns:
    the value of the 'Element Form Default' attribute.
  See Also:
    `XSDForm`, `isSetElementFormDefault()`, `unsetElementFormDefault()`, `setElementFormDefault(XSDForm)`, `XSDPackage.getXSDSchema_ElementFormDefault()`

### setElementFormDefault

    void setElementFormDefault(XSDForm value)

  Sets the value of the '`Element Form Default`' attribute.

  Parameters:
    `value` - the new value of the 'Element Form Default' attribute.
  See Also:
    `XSDForm`, `isSetElementFormDefault()`, `unsetElementFormDefault()`, `getElementFormDefault()`

### unsetElementFormDefault

    void unsetElementFormDefault()

  Unsets the value of the '`Element Form Default`' attribute.

  See Also:
    `isSetElementFormDefault()`, `getElementFormDefault()`, `setElementFormDefault(XSDForm)`

### isSetElementFormDefault

    boolean isSetElementFormDefault()

  Returns whether the value of the '`Element Form Default`' attribute is set.

  Returns:
    whether the value of the 'Element Form Default' attribute is set.
  See Also:
    `unsetElementFormDefault()`, `getElementFormDefault()`, `setElementFormDefault(XSDForm)`

### getFinalDefault

    EList<XSDProhibitedSubstitutions> getFinalDefault()

  Returns the value of the 'Final Default' attribute list. The list contents are of type `XSDProhibitedSubstitutions`. The literals are from the enumeration `XSDProhibitedSubstitutions`.

  This concrete attribute represents the value of the finalDefault attribute.

  Returns:
    the value of the 'Final Default' attribute list.
  See Also:
    `XSDProhibitedSubstitutions`, `isSetFinalDefault()`, `unsetFinalDefault()`, `XSDPackage.getXSDSchema_FinalDefault()`

### unsetFinalDefault

    void unsetFinalDefault()

  Unsets the value of the '`Final Default`' attribute list.

  See Also:
    `isSetFinalDefault()`, `getFinalDefault()`

### isSetFinalDefault

    boolean isSetFinalDefault()

  Returns whether the value of the '`Final Default`' attribute list is set.

  Returns:
    whether the value of the 'Final Default' attribute list is set.
  See Also:
    `unsetFinalDefault()`, `getFinalDefault()`

### getStringFinalDefault

    java.lang.String getStringFinalDefault()

  Returns the String value of the '`Final Default`' attribute list.

  Returns:
    the String value of the 'Final Default' attribute list.
  See Also:
    `getFinalDefault()`, `setStringFinalDefault(java.lang.String)`

### setStringFinalDefault

    void setStringFinalDefault(java.lang.String finalDefault)

  Set the String value of the '`Final Default`' attribute list.

  Parameters:
    `finalDefault` - the new value of the 'Final Default' attribute list.
  See Also:
    `getFinalDefault()`, `getStringFinalDefault()`

### getBlockDefault

    EList<XSDDisallowedSubstitutions> getBlockDefault()

  Returns the value of the 'Block Default' attribute list. The list contents are of type `XSDDisallowedSubstitutions`. The literals are from the enumeration `XSDDisallowedSubstitutions`.

  This concrete attribute represents the value of the blockDefault attribute.

  Returns:
    the value of the 'Block Default' attribute list.
  See Also:
    `XSDDisallowedSubstitutions`, `isSetBlockDefault()`, `unsetBlockDefault()`, `XSDPackage.getXSDSchema_BlockDefault()`

### unsetBlockDefault

    void unsetBlockDefault()

  Unsets the value of the '`Block Default`' attribute list.

  See Also:
    `isSetBlockDefault()`, `getBlockDefault()`

### isSetBlockDefault

    boolean isSetBlockDefault()

  Returns whether the value of the '`Block Default`' attribute list is set.

  Returns:
    whether the value of the 'Block Default' attribute list is set.
  See Also:
    `unsetBlockDefault()`, `getBlockDefault()`

### getVersion

    java.lang.String getVersion()

  Returns the value of the 'Version' attribute.

  This concrete attribute represents the value of the version attribute.

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `XSDPackage.getXSDSchema_Version()`

### setVersion

    void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`

### getStringBlockDefault

    java.lang.String getStringBlockDefault()

  Returns the String value of the '`Block Default`' attribute list.

  Returns:
    the String value of the 'Block Default' attribute list.
  See Also:
    `getBlockDefault()`, `setStringBlockDefault(java.lang.String)`

### setStringBlockDefault

    void setStringBlockDefault(java.lang.String blockDefault)

  Returns the String value of the '`Block Default`' attribute list.

  Parameters:
    `blockDefault` - the new value of the 'Block Default' attribute list.
  See Also:
    `getBlockDefault()`, `getStringBlockDefault()`

### getContents

    EList<XSDSchemaContent> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `XSDSchemaContent`.

  This concrete reference represents the contents defined within the body of a schema element.

  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDSchema_Contents()`

### getElementDeclarations

    EList<XSDElementDeclaration> getElementDeclarations()

  Returns the value of the 'Element Declarations' reference list. The list contents are of type `XSDElementDeclaration`.

  This represents the element declarations infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Element Declarations' reference list.
  See Also:
    `XSDPackage.getXSDSchema_ElementDeclarations()`

### getAttributeDeclarations

    EList<XSDAttributeDeclaration> getAttributeDeclarations()

  Returns the value of the 'Attribute Declarations' reference list. The list contents are of type `XSDAttributeDeclaration`.

  This represents the attribute declarations infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Attribute Declarations' reference list.
  See Also:
    `XSDPackage.getXSDSchema_AttributeDeclarations()`

### getAttributeGroupDefinitions

    EList<XSDAttributeGroupDefinition> getAttributeGroupDefinitions()

  Returns the value of the 'Attribute Group Definitions' reference list. The list contents are of type `XSDAttributeGroupDefinition`.

  This represents the attribute group definitions infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Attribute Group Definitions' reference list.
  See Also:
    `XSDPackage.getXSDSchema_AttributeGroupDefinitions()`

### getTypeDefinitions

    EList<XSDTypeDefinition> getTypeDefinitions()

  Returns the value of the 'Type Definitions' reference list. The list contents are of type `XSDTypeDefinition`.

  This represents the type definitions infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Type Definitions' reference list.
  See Also:
    `XSDPackage.getXSDSchema_TypeDefinitions()`

### getModelGroupDefinitions

    EList<XSDModelGroupDefinition> getModelGroupDefinitions()

  Returns the value of the 'Model Group Definitions' reference list. The list contents are of type `XSDModelGroupDefinition`.

  This represents the model group definitions infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Model Group Definitions' reference list.
  See Also:
    `XSDPackage.getXSDSchema_ModelGroupDefinitions()`

### getIdentityConstraintDefinitions

    EList<XSDIdentityConstraintDefinition> getIdentityConstraintDefinitions()

  Returns the value of the 'Identity Constraint Definitions' reference list. The list contents are of type `XSDIdentityConstraintDefinition`.

  This represents the identity constraint definitions infoset property. It is computed from the `contents` and should typically not be set directly. Actually, there is no such property defined but this seems to be an oversight; it is needed to resolve a `referenced key`.

  Returns:
    the value of the 'Identity Constraint Definitions' reference list.
  See Also:
    `XSDPackage.getXSDSchema_IdentityConstraintDefinitions()`

### getNotationDeclarations

    EList<XSDNotationDeclaration> getNotationDeclarations()

  Returns the value of the 'Notation Declarations' reference list. The list contents are of type `XSDNotationDeclaration`.

  This represents the notation declarations infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Notation Declarations' reference list.
  See Also:
    `XSDPackage.getXSDSchema_NotationDeclarations()`

### getAnnotations

    EList<XSDAnnotation> getAnnotations()

  Returns the value of the 'Annotations' reference list. The list contents are of type `XSDAnnotation`.

  This represents the annotations infoset property. It is computed from the `contents` and should typically not be set directly.

  Returns:
    the value of the 'Annotations' reference list.
  See Also:
    `XSDPackage.getXSDSchema_Annotations()`

### getAllDiagnostics

    EList<XSDDiagnostic> getAllDiagnostics()

  Returns the value of the 'All Diagnostics' reference list. The list contents are of type `XSDDiagnostic`.

  This concrete reference represents all the diagnostics that occur within the components of this schema. It is computed from the '`Diagnostics`' reference list and should typically not be modified directly.

  Returns:
    the value of the 'All Diagnostics' reference list.
  See Also:
    `XSDPackage.getXSDSchema_AllDiagnostics()`

### getReferencingDirectives

    EList<XSDSchemaDirective> getReferencingDirectives()

  Returns the value of the 'Referencing Directives' reference list. The list contents are of type `XSDSchemaDirective`.

  This represents the directives that have this schema as their '`Resolved Schema`' reference or '`Incorporated Schema`' reference.

  Returns:
    the value of the 'Referencing Directives' reference list.
  See Also:
    `XSDPackage.getXSDSchema_ReferencingDirectives()`

### getRootVersion

    XSDSchema getRootVersion()

  Returns the value of the 'Root Version' reference.

  This walks the `original versions` until it hits one that has no original version.

  Returns:
    the value of the 'Root Version' reference.
  See Also:
    `XSDPackage.getXSDSchema_RootVersion()`

### getOriginalVersion

    XSDSchema getOriginalVersion()

  Returns the value of the 'Original Version' reference.

  This represents the schema from which an `incorporated version` originates. The `root version` has itself as its original version.

  Returns:
    the value of the 'Original Version' reference.
  See Also:
    `XSDPackage.getXSDSchema_OriginalVersion()`

### getIncorporatedVersions

    EList<XSDSchema> getIncorporatedVersions()

  Returns the value of the 'Incorporated Versions' containment reference list. The list contents are of type `XSDSchema`.

  This represents those versions of this schema that have been `included` into a schema with a different namespace or have been otherwise `redefined`.

  Returns:
    the value of the 'Incorporated Versions' containment reference list.
  See Also:
    `XSDSchemaCompositor.getIncorporatedSchema()`, `XSDPackage.getXSDSchema_IncorporatedVersions()`

### getSchemaForSchema

    XSDSchema getSchemaForSchema()

  Returns the value of the 'Schema For Schema' reference.

  This represents the 'schema for schemas'. It is computed from the `schema for schema namespace` and should typically not be set directly.

  Returns:
    the value of the 'Schema For Schema' reference.
  See Also:
    `XSDPackage.getXSDSchema_SchemaForSchema()`

### getCorrespondingComponent

    XSDConcreteComponent getCorrespondingComponent(org.w3c.dom.Node node)

  Returns the best concrete component that corresponds to the given node. Since each concrete component has an associated element not a node, a best element is determined from the node first. Furthermore, since not every element corresponds to a concrete component, parent elements are considered when finding a match. The best match will be the deepest choice.

  Parameters:
    `node` - the node to find.
  Returns:
    the best concrete component that corresponds to the given node.
  See Also:
    `XSDConcreteComponent.getElement()`

### getSimpleTypeIdMap

    java.util.Map<java.lang.String,XSDSimpleTypeDefinition> getSimpleTypeIdMap()

  Returns a map from String ID to `XSDSimpleTypeDefinition` based on the IDs in the DOM representation. For the `schema for schema`, this represents the built-in datatypes.

  Returns:
    a map from String ID to `XSDSimpleTypeDefinition`
  See Also:
    `getSchemaForSchema()`

### getQNamePrefixToNamespaceMap

    java.util.Map<java.lang.String,java.lang.String> getQNamePrefixToNamespaceMap()

  Returns the map defined by the xmlns attributes of the underlying XML representation. When a schema instance is constructed without an underlying DOM, it is necessary to populate this map with at least a mapping for the `schema for schema namespace prefix`. Note that the default prefix is represented as `null` not as a zero length string.

  Returns:
    the map defined by the xmlns attributes of the underlying XML representation.
  See Also:
    `getSchemaForSchemaQNamePrefix()`, `getSchemaForSchemaNamespace()`

### getSchemaForSchemaQNamePrefix

    java.lang.String getSchemaForSchemaQNamePrefix()

  Returns the QName prefix used to reference the `schema for schema namespace`. It must be a key in `getQNamePrefixToNamespaceMap()`. It is recommended that the prefix '`xsd`' be used.

  Returns:
    the QName prefix used to reference the schema for schema namespace.
  See Also:
    `setSchemaForSchemaQNamePrefix(java.lang.String)`, `getQNamePrefixToNamespaceMap()`

### setSchemaForSchemaQNamePrefix

    void setSchemaForSchemaQNamePrefix(java.lang.String qNamePrefix)

  Sets the QName prefix used to reference the `schema for schema namespace`. It must be a key in `getQNamePrefixToNamespaceMap()` that maps to a `valid` schema for schema namespace.

  Parameters:
    `qNamePrefix` - the new schema for schema QName prefix.
  See Also:
    `getSchemaForSchemaQNamePrefix()`, `getQNamePrefixToNamespaceMap()`

### getSchemaForSchemaNamespace

    java.lang.String getSchemaForSchemaNamespace()

  Returns the schema for schema namespace of this schema. It is equivalent to

        (String)getQNamePrefixToNamespaceMap().get(getSchemaForSchemaQNamePrefix())

  so you can't set this directly.

  Returns:
    the schema for schema namespace.
  See Also:
    `getQNamePrefixToNamespaceMap()`, `getSchemaForSchemaQNamePrefix()`

### updateDocument

    org.w3c.dom.Document updateDocument()

  Ensures that the `document` will be set to an instance that can be used to create a DOM serialization.

  See Also:
    `XSDConcreteComponent.updateElement()`

### isIncrementalUpdate

    boolean isIncrementalUpdate()

  Returns whether the schema will incrementally resolve QNames and perform analysis after each edit change. Since a single incremental update can be very expensive, when a significant number of edit changes are expected to be made, performance can be improved by turning off incremental updates. In that case, QNames will remain unresolved and analysis results will not be updated; analysis involves things like propagating information from a base type to its derived types.

  Returns:
    whether the schema will incrementally resolve QNames and perform analysis.
  See Also:
    `setIncrementalUpdate(boolean)`, `update()`

### setIncrementalUpdate

    void setIncrementalUpdate(boolean isIncrementalUpdate)

  Sets whether the schema will incrementally resolve QNames and perform analysis after each edit change. Setting this to `true` will also result in an update.

  Parameters:
    `isIncrementalUpdate` - the new value.
  See Also:
    `isIncrementalUpdate()`, `update()`

### update

    void update()

  Resolves QNames and performs analysis.

  See Also:
    `isIncrementalUpdate()`, `update()`

### update

    void update(boolean force)

  Resolves QNames and performs analysis. If `force` is `true` even previously resolved QNames are resolved again.

  Parameters:
    `force` - whether previously resolved names should be resolved again.
  See Also:
    `isIncrementalUpdate()`, `update()`

### reset

    void reset()

  Resets the effects of imports, includes, and redefines so that they will be reprocessed.

  See Also:
    `update()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.